import { IncrementalCheckerInterface, ApiIncrementalCheckerParams } from './IncrementalCheckerInterface';
import { CancellationToken } from './CancellationToken';
import { CompilerHost } from './CompilerHost';
export declare class ApiIncrementalChecker implements IncrementalCheckerInterface {
    private linterConfig?;
    private linterConfigs;
    protected readonly tsIncrementalCompiler: CompilerHost;
    private linterExclusions;
    private currentLintErrors;
    private currentEsLintErrors;
    private lastUpdatedFiles;
    private lastRemovedFiles;
    private readonly hasFixedConfig;
    private readonly context;
    private readonly linterConfigFile;
    private readonly linterAutoFix;
    private readonly eslinter;
    constructor({ typescript, context, programConfigFile, compilerOptions, linterConfigFile, linterAutoFix, eslinter, vue, checkSyntacticErrors, resolveModuleName, resolveTypeReferenceDirective }: ApiIncrementalCheckerParams);
    private initLinterConfig;
    private getLinterConfig;
    private createLinter;
    hasTsLinter(): boolean;
    hasEsLinter(): boolean;
    isFileExcluded(filePath: string): boolean;
    nextIteration(): void;
    getTypeScriptIssues(_cancellationToken: CancellationToken): Promise<import("./issue/Issue").Issue[]>;
    getTsLintIssues(_cancellationToken: CancellationToken): Promise<import("./issue/Issue").Issue[]>;
    getEsLintIssues(cancellationToken: CancellationToken): Promise<import("./issue/Issue").Issue[]>;
}
