import * as ts from 'typescript';
import * as minimatch from 'minimatch';
import { CancellationToken } from './CancellationToken';
import { IncrementalCheckerInterface, IncrementalCheckerParams } from './IncrementalCheckerInterface';
import { Issue } from './issue';
export declare class IncrementalChecker implements IncrementalCheckerInterface {
    private linterConfigs;
    private files;
    private linter?;
    private linterConfig?;
    private linterExclusions;
    protected program?: ts.Program;
    protected programConfig?: ts.ParsedCommandLine;
    private watcher?;
    private readonly hasFixedConfig;
    private readonly typescript;
    private readonly context;
    private readonly programConfigFile;
    private readonly compilerOptions;
    private readonly linterConfigFile;
    private readonly linterAutoFix;
    private readonly eslinter;
    private readonly watchPaths;
    private readonly vue;
    private readonly checkSyntacticErrors;
    private readonly resolveModuleName;
    private readonly resolveTypeReferenceDirective;
    constructor({ typescript, context, programConfigFile, compilerOptions, linterConfigFile, linterAutoFix, eslinter, watchPaths, vue, checkSyntacticErrors, resolveModuleName, resolveTypeReferenceDirective }: IncrementalCheckerParams);
    static loadProgramConfig(typescript: typeof ts, configFile: string, compilerOptions: object): ts.ParsedCommandLine;
    private getLinterConfig;
    private static createProgram;
    private createLinter;
    hasTsLinter(): boolean;
    hasEsLinter(): boolean;
    static isFileExcluded(filePath: string, linterExclusions: minimatch.IMinimatch[]): boolean;
    nextIteration(): void;
    private loadVueProgram;
    private loadDefaultProgram;
    getTypeScriptIssues(cancellationToken: CancellationToken): Promise<Issue[]>;
    getTsLintIssues(cancellationToken: CancellationToken): Promise<Issue[]>;
    getEsLintIssues(cancellationToken: CancellationToken): Promise<Issue[]>;
}
