"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const FsHelper_1 = require("./FsHelper");
function createEslinter(eslintOptions) {
    // tslint:disable-next-line:no-implicit-dependencies
    const eslint = require('eslint');
    // See https://eslint.org/docs/1.0.0/developer-guide/nodejs-api#cliengine
    const eslinter = new eslint.CLIEngine(eslintOptions);
    function getReport(filepath) {
        try {
            if (eslinter.isPathIgnored(filepath) ||
                path.extname(filepath).localeCompare('.json', undefined, {
                    sensitivity: 'accent'
                }) === 0) {
                return undefined;
            }
            return eslinter.executeOnFiles([filepath]);
        }
        catch (e) {
            FsHelper_1.throwIfIsInvalidSourceFileError(filepath, e);
        }
        return undefined;
    }
    return { getReport };
}
exports.createEslinter = createEslinter;
//# sourceMappingURL=createEslinter.js.map