"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const os = require("os");
const issue_1 = require("../issue");
/**
 * TODO: maybe we should not treat internal errors as issues
 */
function createInternalFormatter() {
    return function internalFormatter(issue) {
        const color = {
            message: chalk_1.default.bold.red,
            stack: chalk_1.default.grey
        };
        if (issue.origin === issue_1.IssueOrigin.INTERNAL) {
            const lines = [
                `${color.message('INTERNAL ' + issue.severity.toUpperCase())}: ${issue.message}`
            ];
            if (issue.stack) {
                lines.push('stack trace:', color.stack(issue.stack));
            }
            return lines.join(os.EOL);
        }
        else {
            throw new Error(`Not supported "${issue.origin}" issue origin.`);
        }
    };
}
exports.createInternalFormatter = createInternalFormatter;
//# sourceMappingURL=InternalFormatter.js.map