"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IssueOrigin = {
    TYPESCRIPT: 'typescript',
    TSLINT: 'tslint',
    ESLINT: 'eslint',
    INTERNAL: 'internal'
};
exports.IssueOrigin = IssueOrigin;
function isIssueOrigin(value) {
    return [
        IssueOrigin.TYPESCRIPT,
        IssueOrigin.TSLINT,
        IssueOrigin.ESLINT,
        IssueOrigin.INTERNAL
    ].includes(value);
}
exports.isIssueOrigin = isIssueOrigin;
function compareIssueOrigins(originA, originB) {
    const [priorityA, priorityB] = [originA, originB].map(origin => [
        IssueOrigin.TSLINT /* 0 */,
        IssueOrigin.ESLINT /* 1 */,
        IssueOrigin.TYPESCRIPT /* 2 */,
        IssueOrigin.INTERNAL /* 3 */
    ].indexOf(origin));
    return Math.sign(priorityB - priorityA);
}
exports.compareIssueOrigins = compareIssueOrigins;
//# sourceMappingURL=IssueOrigin.js.map