"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IssueSeverity = {
    ERROR: 'error',
    WARNING: 'warning'
};
exports.IssueSeverity = IssueSeverity;
function isIssueSeverity(value) {
    return [IssueSeverity.ERROR, IssueSeverity.WARNING].includes(value);
}
exports.isIssueSeverity = isIssueSeverity;
function compareIssueSeverities(severityA, severityB) {
    const [priorityA, priorityB] = [severityA, severityB].map(severity => [IssueSeverity.WARNING /* 0 */, IssueSeverity.ERROR /* 1 */].indexOf(severity));
    return Math.sign(priorityB - priorityA);
}
exports.compareIssueSeverities = compareIssueSeverities;
//# sourceMappingURL=IssueSeverity.js.map