"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Issue_1 = require("../Issue");
const IssueOrigin_1 = require("../IssueOrigin");
const IssueSeverity_1 = require("../IssueSeverity");
function createIssueFromTsLintRuleFailure(failure) {
    const position = failure.getStartPosition().getLineAndCharacter();
    return {
        origin: IssueOrigin_1.IssueOrigin.TSLINT,
        code: failure.getRuleName(),
        severity: failure.getRuleSeverity() === 'warning'
            ? IssueSeverity_1.IssueSeverity.WARNING
            : IssueSeverity_1.IssueSeverity.ERROR,
        message: failure.getFailure(),
        file: failure.getFileName(),
        line: position.line + 1,
        character: position.character + 1
    };
}
exports.createIssueFromTsLintRuleFailure = createIssueFromTsLintRuleFailure;
function createIssuesFromTsLintRuleFailures(failures) {
    return Issue_1.deduplicateAndSortIssues(failures.map(createIssueFromTsLintRuleFailure));
}
exports.createIssuesFromTsLintRuleFailures = createIssuesFromTsLintRuleFailures;
//# sourceMappingURL=TsLintIssueFactory.js.map